#ifndef ISING_H
#define ISING_H

#include <cstddef>
using std::size_t;

#include <vector>
using std::vector;

#include "moments.hpp"

extern size_t L;
extern double T;
extern vector<int> spin;

void initialize(size_t, double);

void attempt_single_flip(void);

void attempt_cluster_flip(void);

void update(void);

void measure(moments&);

#endif // ISING_H