#ifndef MOMENTS_HPP
#define MOMENTS_HPP

#include <iostream>
using std::ostream;
using std::endl;

class moments
{
public:
	double abs_first;
	double second;
	double fourth;
	moments() : abs_first(0), second(0), fourth(0) {}
	void clear(void) { abs_first = 0.; second = 0.; fourth = 0.; }
	void print(ostream& os, unsigned long int n)
	{
		os << abs_first/n << "\t" << second/n << "\t" << fourth/n << endl;
	}
};

#endif // MOMENTS_HPP